Bug 1032050 - StateTransfer's PutKeyValueCommand may trigger remote get
StateTransfer's PutKeyValueCommand may trigger remote get
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: CR1
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 08:07 EST by Radim Vansa
Modified: 2014-01-07 08:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3704 Critical Resolved StateTransfer's PutKeyValueCommand may trigger remote get 2014-06-18 08:22:31 EDT

  None (edit)
Description Radim Vansa 2013-11-19 08:07:08 EST
In TX mode with write skew check on, ST executing puts may trigger a remote get.

This results in increased entry processing time during ST and possible failure in retrieving the value may lead to failed transaction -> lost entry on this node.
Comment 2 JBoss JIRA Server 2013-11-27 10:43:25 EST
Mircea Markus <mmarkus@redhat.com> made a comment on jira ISPN-3704

[~rvansa] does this affect the consistency in any way? or is just un-needed work that happen. If the later, then severity should be reduced.
Comment 3 JBoss JIRA Server 2013-12-02 03:57:54 EST
Radim Vansa <rvansa@redhat.com> made a comment on jira ISPN-3704

Not directly, but the un-needed work executes RPC, which is intrinsically fragile. And the RPC may eventually cause transaction failure which leads to inconsistency (entry loss) - that's why I've increased the priority.
Comment 4 JBoss JIRA Server 2013-12-19 13:22:28 EST
Mircea Markus <mmarkus@redhat.com> updated the status of jira ISPN-3704 to Resolved
Comment 5 JBoss JIRA Server 2014-01-07 08:14:35 EST
Radim Vansa <rvansa@redhat.com> updated the status of jira ISPN-3704 to Reopened

Note You need to log in before you can comment on or make changes to this bug.